Account session

GET /core/v1/keys/{id}/revisions

Account session · GET /core/v1/keys/{id}/revisions

Authentication

Account session. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request GET 'https://api.oneaster.ai/core/v1/keys/1/revisions' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN"

Parameters

- id (path, Required): {"type":"string","pattern":"^[0-9]+$"}

- page (query, Optional): {"type":"integer","minimum":1,"maximum":1000000,"default":1}

- size (query, Optional): {"type":"integer","minimum":1,"maximum":100,"default":20}

Responses

200

本人 Key 不可变配置历史

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": true
        },
        "data": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                  "key_id": {
                    "type": "string",
                    "pattern": "^[0-9]+$"
                  },
                  "version": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "name": {
                    "type": "string"
                  },
                  "budget_micro": {
                    "anyOf": [
                      {
                        "type": "string",
                        "pattern": "^[0-9]+$",
                        "description": "整数账务单位;1 积分 = 10000 单位,1 USD = 100 积分。前端用 BigInt。"
                      },
                      {
                        "type": "null"
                      }
                    ],
                    "description": "无限额时为 null;有限额时为累计总额度。unlimited_budget 明确表示模式,钱包限制始终适用。"
                  },
                  "unlimited_budget": {
                    "type": "boolean"
                  },
                  "models": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    },
                    "description": "空数组表示所有当前及未来模型;非空数组表示精确允许列表。"
                  },
                  "expires_at": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "actor_id": {
                    "anyOf": [
                      {
                        "type": "string",
                        "pattern": "^[0-9]+$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "reference": {
                    "type": "string"
                  },
                  "operation_key": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": "string",
                    "format": "date-time"
                  }
                },
                "required": [
                  "key_id",
                  "version",
                  "name",
                  "budget_micro",
                  "unlimited_budget",
                  "models",
                  "expires_at",
                  "actor_id",
                  "reference",
                  "operation_key",
                  "created_at"
                ]
              }
            },
            "total": {
              "type": "string",
              "pattern": "^[0-9]+$"
            },
            "page": {
              "type": "integer",
              "minimum": 0
            },
            "size": {
              "type": "integer",
              "minimum": 0
            }
          },
          "required": [
            "items",
            "total",
            "page",
            "size"
          ]
        }
      },
      "required": [
        "success",
        "data"
      ]
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}